Bug 253020 - Review Request: animorph - 3D Animation and Morph Library
Summary: Review Request: animorph - 3D Animation and Morph Library
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 253022
TreeView+ depends on / blocked
 
Reported: 2007-08-16 17:18 UTC by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-13 12:26:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Chauvet (kwizart) 2007-08-16 17:18:20 UTC
Spec URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/animorph.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/animorph-0.2-1.kwizart.fc6.src.rpm
Description: Libraries for animorph

Comment 1 Mamoru TASAKA 2007-08-26 13:08:20 UTC
Well, as this is rather a small package, there are
not so many items to be checked...

For 0.2-1:
* Redundant BuildRequires
  - glibc-headers in minimal build environ

* License
  - The following source files are under GPLv2+
-----------------------------------------------
./include/animorph/PoseSemiTarget.h
./include/animorph/PoseTarget.h
./src/PoseSemiTarget.cpp
./src/PoseTarget.cpp
------------------------------------------------
    Change license tag to GPLv2+
    (However, I guess the author intended to release
     this under LGPLv2+. So after/before this package
     is approved, would you contact with upstream?)

Comment 2 Nicolas Chauvet (kwizart) 2007-08-26 21:27:22 UTC
Actually the COPYING says LGPLv2+
e-mail send upstream about the license question...
I hope an answear to have this state clearly...

Comment 3 Mamoru TASAKA 2007-09-04 19:01:27 UTC
Any response from upstream?

Comment 4 Nicolas Chauvet (kwizart) 2007-09-04 22:11:09 UTC
not any answear for now.
I will send it again...



Comment 5 Nicolas Chauvet (kwizart) 2007-09-10 23:17:49 UTC
What policy should we follow in this case (still no answear from upstream)

Should we choose the more restrictive one  The one which is written in the
source code headers ?

If animoph is GPL that implies that every app that link against it to be GPL
also...So this change nothing about makehuman. I think that thoses libs was
certainly taken out of makehumain to be buildable externally.. So they only
changed the COPYING while doing make dist...





Comment 6 Mamoru TASAKA 2007-09-11 01:44:57 UTC
(In reply to comment #5)
> Should we choose the more restrictive one  The one which is written in the
> source code headers ?

We must choose the "actual" license (i.e. we must judge the license from
source code). In this case, the license is GPLv2+.

Comment 7 Nicolas Chauvet (kwizart) 2007-09-12 12:02:54 UTC
Should I remove the COPYING as it conflict with what is said within the source
code ?
Does I need also to add thr right COPYING file ?

Comment 8 Mamoru TASAKA 2007-09-12 12:41:55 UTC
The original COPYING file can be removed and I don't think
we have to add the right license text.

Comment 9 Nicolas Chauvet (kwizart) 2007-09-12 13:00:06 UTC
Spec URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/animorph.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/makehuman/animorph-0.2-2.kwizart.fc6.src.rpm
Description: 3D Animation and Morph Library

%changelog
- Change license to GPLv2+ as said in the source code
- Remove BR glibc-headers
- Change summary (taken from animorph.pc)

Comment 10 Mamoru TASAKA 2007-09-12 14:14:21 UTC
Okay!

-----------------------------------------------------
     This pacakge (animorph) is APPROVED by me
-----------------------------------------------------

Comment 11 Nicolas Chauvet (kwizart) 2007-09-12 20:27:57 UTC
New Package CVS Request
=======================
Package Name:      animorph
Short Description: 3D Animation and Morph Library
Owners:            kwizart
Branches:          devel FC-6 F-7 EL-4 EL-5
InitialCC:         <empty>
Commits by cvsextras: yes

Comment 12 Kevin Fenzi 2007-09-13 03:42:16 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.